> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List product imports

> List all product imports in the current organization.



## OpenAPI

````yaml openapi-v1.json get /v1/products/imports
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/products/imports:
    get:
      tags:
        - Products
      summary: List product imports
      description: List all product imports in the current organization.
      operationId: listProductImports
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: number
          description: >-
            Maximum number of objects to return. Allowed range: 1–100. Default
            is 10.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: Pagination cursor indicating a position in the list.
        - name: createdBefore
          in: query
          required: false
          schema:
            type: string
          description: List product imports created before a specific datetime (ISO 8601)
        - name: createdAfter
          in: query
          required: false
          schema:
            type: string
          description: List product imports created after a specific datetime (ISO 8601)
      responses:
        '200':
          description: Product imports list
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - meta
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductImport'
                  meta:
                    type: object
                    required:
                      - links
                      - total
                    properties:
                      cursor:
                        type: string
                      links:
                        type: object
                        required:
                          - self
                          - first
                          - next
                        properties:
                          self:
                            type: object
                            required:
                              - href
                            properties:
                              href:
                                type: string
                          first:
                            type: object
                            required:
                              - href
                            properties:
                              href:
                                type: string
                          next:
                            oneOf:
                              - type: object
                                required:
                                  - href
                                properties:
                                  href:
                                    type: string
                              - type: 'null'
                      total:
                        type: number
      security:
        - PublicAuth: []
components:
  schemas:
    ProductImport:
      type: object
      required:
        - id
        - createdAt
        - total
        - totalCreated
        - totalErrors
        - integration
      properties:
        id:
          type: string
        createdAt:
          type: string
          format: date-time
        total:
          type: number
        totalCreated:
          type: number
        totalErrors:
          type: number
        integration:
          oneOf:
            - type: object
              required:
                - name
              properties:
                name:
                  type: string
            - type: 'null'
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````